@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600&family=Signika+Negative:wght@500&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root {
    --default-color: #14689d;
}

::selection {
    background-color: var(--default-color);
    color: #fff;
}

body {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(135deg, #45a5e0, #1b577c);
}

/* caixa de login */
.container {
    max-width: 850px;
    background: #fff;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 40px 30px;
}

.container .login-form .title {
    position: relative;
    font-size: 24px;
    font-weight: 500;
    color: #333;
}

.container .login-form .title::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 45px;
    background-color: var(--default-color);
}

.container .login-form .input-box {
    display: flex;
    align-items: center;
    height: 50px;
    width: 100%;
    margin: 10px 0;
    position: relative;
}

.container .login-form .input-box input {
    height: 100%;
    width: 100%;
    outline: none;
    border: none;
    padding: 0 30px;
    font-size: 16px;
    font-weight: 500;
    border-bottom: 2px solid rgba(0, 0, 0, 0.2);
    transition: 0.3s linear;
}

.container .login-form .input-box input:focus,
.container .login-form .input-box input:valid {
    border-color: var(--default-color);
}

.container .login-form .input-box input[type="submit"] {
    background-color: var(--default-color);
    border: 0;
    color: #fff;
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s linear;
}

.container .login-form .input-box input[type="submit"]:hover {
    background-color: #2f84b9;
}

.container .login-form .input-box i {
    position: absolute;
    color: var(--default-color);
    font-size: 17px;
}

.container .login-form .forgot a {
    color: var(--default-color);
    text-decoration: none;
    position: relative;
    transition: 0.3s linear;
}

.container .login-form .forgot a:hover {
    color: #2f84b9;
}

.container .login-form .sigup-text a {
    color: var(--default-color);
    text-decoration: none;
    position: relative;
    transition: 0.3s linear;
}

.container .login-form .sigup-text a:hover {
    color: #2f84b9;
}

.container .login-img {
    width: 50%;
    z-index: 90;
}

/* animação background */
.circles {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.circles li {
    position: absolute;
    display: block;
    list-style: none;
    width: 20px;
    height: 20px;
    background: rgba(255, 255, 255, 0.2);
    animation: animate 5s linear infinite;
    bottom: -150px;
}

.circles li:nth-child(1) {
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}

.circles li:nth-child(2) {
    left: 10%;
    width: 55px;
    height: 60px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.circles li:nth-child(3) {
    left: 70%;
    width: 15px;
    height: 20px;
    animation-delay: 4s;
}

.circles li:nth-child(4) {
    left: 40%;
    width: 55px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.circles li:nth-child(5) {
    left: 65%;
    width: 15px;
    height: 20px;
    animation-delay: 0s;
}

.circles li:nth-child(6) {
    left: 75%;
    width: 105px;
    height: 110px;
    animation-delay: 3s;
}

.circles li:nth-child(7) {
    left: 35%;
    width: 145px;
    height: 150px;
    animation-delay: 7s;
}

.circles li:nth-child(8) {
    left: 50%;
    width: 20px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.circles li:nth-child(9) {
    left: 20%;
    width: 10px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.circles li:nth-child(10) {
    left: 90%;
    width: 105px;
    height: 110px;
    animation-delay: 0s;
    animation-duration: 11s;
}

.circles li:nth-child(11) {
    left: 5%;
    width: 80px;
    height: 90px;
    animation-delay: 3s;
    animation-duration: 5s;
}

@keyframes animate {
    0% {
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100% {
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }
}

/* responsivo */
@media (max-width: 800px) {
    .login-img {
        display: none;
    }
}